package org.iespuigcastellar.amtools;

import java.io.IOException;

import com.csvreader.CsvReader;

public class TestCSV {

	/**
	 * @param args
	 * @throws IOException 
	 */
	public static void main(String[] args) throws IOException {
		TestCSV app = new TestCSV();
		
		app.doit(args[0]);
	}
	
	private void doit(String filename) throws IOException {
		CsvReader reader = new CsvReader(filename);
		
		reader.readHeaders();
		
		while (reader.readRecord()) {
			String surname1 = reader.get("surname1");
			String surname2 = reader.get("surname2");
			String name = reader.get("name");
			System.out.println(surname1 + " " + surname2 + " " + name);
		}
		
		reader.close();
	}

}
