/*
 * java AMMailer host database user password 2010-11-01 1 1
 *                                           (date/group/type)
 *
 * */

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.sql.Date;
import java.text.SimpleDateFormat;

public class AMMailer {
	private Connection con;
	private Statement statement;
	private SimpleDateFormat dateFormat = new SimpleDateFormat("dd-MM-yyyy");

	public AMMailer(String host, String database, String user, String password, String date, int group, int type) {
		try {
			Class.forName("com.mysql.jdbc.Driver");
			String url = "jdbc:mysql://"+host+":3306/"+database;
			con = DriverManager.getConnection(url, user, password);
			statement = con.createStatement();

			java.util.Date fecha = Date.valueOf(date);

			ResultSet result = statement.executeQuery("SELECT CONCAT_WS(' ', student.name, student.surname1, student.surname2) AS fullname, student.email, count(miss.student_idstudent) AS misscount FROM miss INNER JOIN student ON student.idstudent=miss.student_idstudent INNER JOIN group_has_student ON miss.student_idstudent = group_has_student.student_idstudent WHERE miss.type = " + type + " AND miss.date = '" + date + "' AND group_has_student.group_idgroup = " + group + " GROUP BY  student.surname1,miss.student_idstudent;");
			
			while(result.next()) {
				System.out.println(dateFormat.format(fecha) + "|"  + result.getString("fullname") + "|" + result.getString("student.email")  + "|" + result.getInt("misscount"));
			}

		} catch (Exception e) {
			System.out.println("MMailer could not connect with MySQL");
			System.out.println(e);
		}
	}

	public static void main(String args[]) {
		AMMailer app = new AMMailer(args[0], args[1], args[2], args[3], args[4], Integer.valueOf(args[5]), Integer.valueOf(args[6]));
	}
}
